import { InputHTMLAttributes } from "react";
export type InputStatus = "DEFAULT" | "ERROR" | "FOCUS";
export type InputProps = {
    type?: "date" | "number" | "text" | "password";
    name?: string;
    value: string;
    onChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    onError?: () => boolean;
    onReset?: () => void;
    disable?: boolean;
    enableButton?: boolean;
    attributes?: InputHTMLAttributes<HTMLInputElement>;
    placeholder?: string;
};
declare const Input: ({ type, name, value, onChange, onError, onReset, disable, enableButton, attributes, placeholder, }: InputProps) => import("react/jsx-runtime").JSX.Element;
export default Input;
