/// <reference types="react" />
export type TableColumnTypes<T> = {
    label: string | JSX.Element;
    accessKey?: keyof T;
    renderCell?: ({ row, idx }: {
        row: T;
        idx: number;
    }) => JSX.Element;
    renderValue?: ({ row, idx }: {
        row: T;
        idx: number;
    }) => any;
    className?: string;
};
export type TableProps<T> = {
    columns: TableColumnTypes<T>[];
    tableData: T[];
    isLoading?: boolean;
};
export declare const Table: <T extends {}>({ columns, tableData, isLoading, }: TableProps<T>) => import("react/jsx-runtime").JSX.Element;
